Skip to main content
`Ctrl`+`K`

# hipSOLVER data types

hipSOLVER defines data types and enumerations that are internally converted to the corresponding backend types at runtime. Here are the types used in the regular API.

## hipSOLVER regular API types

### hipsolverHandle_t

typedef void *hipsolverHandle_t

### hipsolverGesvdjInfo_t

typedef void *hipsolverGesvdjInfo_t

### hipsolverSyevjInfo_t

typedef void *hipsolverSyevjInfo_t

### hipsolverStatus_t

enum hipsolverStatus_t

  Values:

  enumerator HIPSOLVER_STATUS_SUCCESS
  enumerator HIPSOLVER_STATUS_NOT_INITIALIZED
  enumerator HIPSOLVER_STATUS_ALLOC_FAILED
  enumerator HIPSOLVER_STATUS_INVALID_VALUE
  enumerator HIPSOLVER_STATUS_MAPPING_ERROR
  enumerator HIPSOLVER_STATUS_EXECUTION_FAILED
  enumerator HIPSOLVER_STATUS_INTERNAL_ERROR
  enumerator HIPSOLVER_STATUS_NOT_SUPPORTED
  enumerator HIPSOLVER_STATUS_ARCH_MISMATCH
  enumerator HIPSOLVER_STATUS_HANDLE_IS_NULLPTR
  enumerator HIPSOLVER_STATUS_INVALID_ENUM
  enumerator HIPSOLVER_STATUS_UNKNOWN
  enumerator HIPSOLVER_STATUS_ZERO_PIVOT
  enumerator HIPSOLVER_STATUS_MATRIX_TYPE_NOT_SUPPORTED

### hipblasOperation_t

enum hipblasOperation_t

  Used to specify whether the matrix is to be transposed or not.

  Values:

  enumerator HIPBLAS_OP_N

    Operate with the matrix.

  enumerator HIPBLAS_OP_T

    Operate with the transpose of the matrix.

  enumerator HIPBLAS_OP_C

    Operate with the conjugate transpose of the matrix.

### hipsolverOperation_t

typedef hipblasOperation_t hipsolverOperation_t

  Alias of hipblasOperation_t. HIPSOLVER_OP_N, HIPSOLVER_OP_T, and HIPSOLVER_OP_C are provided as equivalents to HIPBLAS_OP_N, HIPBLAS_OP_T, and HIPBLAS_OP_C.

### hipblasFillMode_t

enum hipblasFillMode_t

  Used by the Hermitian, symmetric and triangular matrix routines to specify whether the upper or lower triangle is being referenced.

  Values:

  enumerator HIPBLAS_FILL_MODE_UPPER

    Upper triangle

  enumerator HIPBLAS_FILL_MODE_LOWER

    Lower triangle

  enumerator HIPBLAS_FILL_MODE_FULL

### hipsolverFillMode_t

typedef hipblasFillMode_t hipsolverFillMode_t

  Alias of hipblasFillMode_t. HIPSOLVER_FILL_MODE_UPPER and HIPSOLVER_FILL_MODE_LOWER are provided as equivalents to HIPBLAS_FILL_MODE_UPPER and HIPBLAS_FILL_MODE_LOWER.

### hipblasSideMode_t

enum hipblasSideMode_t

  Indicates the side matrix A is located relative to matrix B during multiplication.

  Values:

  enumerator HIPBLAS_SIDE_LEFT

    Multiply general matrix by symmetric, Hermitian or triangular matrix on the left.

  enumerator HIPBLAS_SIDE_RIGHT

    Multiply general matrix by symmetric, Hermitian or triangular matrix on the right.

  enumerator HIPBLAS_SIDE_BOTH

### hipsolverSideMode_t

typedef hipblasSideMode_t hipsolverSideMode_t

  Alias of hipblasSideMode_t. HIPSOLVER_SIDE_LEFT and HIPSOLVER_SIDE_RIGHT are provided as equivalents to HIPBLAS_SIDE_LEFT and HIPBLAS_SIDE_RIGHT.

### hipsolverEigMode_t

enum hipsolverEigMode_t

  Values:

  enumerator HIPSOLVER_EIG_MODE_NOVECTOR
  enumerator HIPSOLVER_EIG_MODE_VECTOR

### hipsolverEigType_t

enum hipsolverEigType_t

  Values:

  enumerator HIPSOLVER_EIG_TYPE_1
  enumerator HIPSOLVER_EIG_TYPE_2
  enumerator HIPSOLVER_EIG_TYPE_3

### hipsolverEigRange_t

enum hipsolverEigRange_t

  Values:

  enumerator HIPSOLVER_EIG_RANGE_ALL
  enumerator HIPSOLVER_EIG_RANGE_V
  enumerator HIPSOLVER_EIG_RANGE_I

### hipsolverDeterministicMode_t

enum hipsolverDeterministicMode_t

  Values:

  enumerator HIPSOLVER_DETERMINISTIC_RESULTS
  enumerator HIPSOLVER_ALLOW_NON_DETERMINISTIC_RESULTS